libgimpprint API Reference: print-olympus.c File Reference

Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals | Related Pages

# src/main/print-olympus.c File Reference

`#include <gimp-print/gimp-print.h>`
`#include "gimp-print-internal.h"`
`#include <gimp-print/gimp-print-intl-internal.h>`
`#include <string.h>`
`#include <stdio.h>`

Go to the source code of this file.

## Data Structures
struct | ink_t
struct | ink_list_t
struct | olymp_resolution_t
struct | olymp_resolution_list_t
struct | olymp_pagesize_t
struct | olymp_pagesize_list_t
struct | olymp_printsize_t
struct | olymp_printsize_list_t
struct | laminate_t
struct | laminate_list_t
struct | olympus_privdata_t
struct | olympus_cap_t
struct | float_param_t
## Defines
#define | OLYMPUS_INTERLACE_NONE 0
#define | OLYMPUS_INTERLACE_LINE 1
#define | OLYMPUS_INTERLACE_PLANE 2
#define | OLYMPUS_FEATURE_NONE 0x00000000
#define | OLYMPUS_FEATURE_FULL_WIDTH 0x00000001
#define | OLYMPUS_FEATURE_FULL_HEIGHT 0x00000002
#define | OLYMPUS_FEATURE_BLOCK_ALIGN 0x00000004
#define | OLYMPUS_FEATURE_BORDERLESS 0x00000008
#define | OLYMPUS_FEATURE_WHITE_BORDER 0x00000010
#define | MIN(a, b) (((a) < (b)) ? (a) : (b))
#define | MAX(a, b) (((a) > (b)) ? (a) : (b))
#define | stp_module_version print_olympus_LTX_stp_module_version
#define | stp_module_data print_olympus_LTX_stp_module_data
## Functions
const olympus_cap_t * | olympus_get_model_capabilities (int model)
const laminate_t * | olympus_get_laminate_pattern (stp_vars_t *v)
void | p10_printer_init_func (stp_vars_t *v)
void | p10_printer_end_func (stp_vars_t *v)
void | p10_block_init_func (stp_vars_t *v)
void | p200_printer_init_func (stp_vars_t *v)
void | p200_plane_init_func (stp_vars_t *v)
void | p200_printer_end_func (stp_vars_t *v)
void | p300_printer_init_func (stp_vars_t *v)
void | p300_plane_end_func (stp_vars_t *v)
void | p300_block_init_func (stp_vars_t *v)
void | p400_printer_init_func (stp_vars_t *v)
void | p400_plane_init_func (stp_vars_t *v)
void | p400_plane_end_func (stp_vars_t *v)
void | p400_block_init_func (stp_vars_t *v)
void | p440_printer_init_func (stp_vars_t *v)
void | p440_printer_end_func (stp_vars_t *v)
void | p440_block_init_func (stp_vars_t *v)
void | p440_block_end_func (stp_vars_t *v)
void | cpx00_printer_init_func (stp_vars_t *v)
void | cpx00_plane_init_func (stp_vars_t *v)
void | updp10_printer_init_func (stp_vars_t *v)
void | updp10_printer_end_func (stp_vars_t *v)
void | cx400_printer_init_func (stp_vars_t *v)
void | olympus_printsize (const stp_vars_t *v, int *width, int *height)
int | olympus_feature (const olympus_cap_t *caps, int feature)
stp_parameter_list_t | olympus_list_parameters (const stp_vars_t *v)
void | olympus_parameters (const stp_vars_t *v, const char *name, stp_parameter_t *description)
void | olympus_imageable_area (const stp_vars_t *v, int *left, int *right, int *bottom, int *top)
void | olympus_limit (const stp_vars_t *v, int *width, int *height, int *min_width, int *min_height)
void | olympus_describe_resolution (const stp_vars_t *v, int *x, int *y)
const char * | olympus_describe_output (const stp_vars_t *v)
unsigned short * | olympus_get_cached_output (stp_vars_t *v, stp_image_t *image, unsigned short **cache, int line, int size)
int | olympus_do_print (stp_vars_t *v, stp_image_t *image)
int | olympus_print (const stp_vars_t *v, stp_image_t *image)
int | print_olympus_module_init (void)
int | print_olympus_module_exit (void)
## Variables
const char * | zero = "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
olympus_privdata_t | privdata
const ink_t | cmy_inks []
const ink_list_t | cmy_ink_list
const ink_t | ymc_inks []
const ink_list_t | ymc_ink_list
const ink_t | rgb_inks []
const ink_list_t | rgb_ink_list
const ink_t | bgr_inks []
const ink_list_t | bgr_ink_list
const olymp_resolution_t | res_320dpi []
const olymp_resolution_list_t | res_320dpi_list
const olymp_pagesize_t | p10_page []
const olymp_pagesize_list_t | p10_page_list
const olymp_printsize_t | p10_printsize []
const olymp_printsize_list_t | p10_printsize_list
const laminate_t | p10_laminate []
const laminate_list_t | p10_laminate_list
const olymp_pagesize_t | p200_page []
const olymp_pagesize_list_t | p200_page_list
const olymp_printsize_t | p200_printsize []
const olymp_printsize_list_t | p200_printsize_list
const char | p200_adj_any []
const olymp_resolution_t | p300_res []
const olymp_resolution_list_t | p300_res_list
const olymp_pagesize_t | p300_page []
const olymp_pagesize_list_t | p300_page_list
const olymp_printsize_t | p300_printsize []
const olymp_printsize_list_t | p300_printsize_list
const char | p300_adj_cyan []
const char | p300_adj_magenta []
const char | p300_adj_yellow []
const olymp_resolution_t | res_314dpi []
const olymp_resolution_list_t | res_314dpi_list
const olymp_pagesize_t | p400_page []
const olymp_pagesize_list_t | p400_page_list
const olymp_printsize_t | p400_printsize []
const olymp_printsize_list_t | p400_printsize_list
const char | p400_adj_cyan []
const char | p400_adj_magenta []
const char | p400_adj_yellow []
const olymp_pagesize_t | p440_page []
const olymp_pagesize_list_t | p440_page_list
const olymp_printsize_t | p440_printsize []
const olymp_printsize_list_t | p440_printsize_list
const olymp_pagesize_t | cpx00_page []
const olymp_pagesize_list_t | cpx00_page_list
const olymp_printsize_t | cpx00_printsize []
const olymp_printsize_list_t | cpx00_printsize_list
const char | cpx00_adj_cyan []
const char | cpx00_adj_magenta []
const char | cpx00_adj_yellow []
const olymp_pagesize_t | cp220_page []
const olymp_pagesize_list_t | cp220_page_list
const olymp_printsize_t | cp220_printsize []
const olymp_printsize_list_t | cp220_printsize_list
const olymp_resolution_t | updp10_res []
const olymp_resolution_list_t | updp10_res_list
const olymp_pagesize_t | updp10_page []
const olymp_pagesize_list_t | updp10_page_list
const olymp_printsize_t | updp10_printsize []
const olymp_printsize_list_t | updp10_printsize_list
const laminate_t | updp10_laminate []
const laminate_list_t | updp10_laminate_list
const char | updp10_adj_cyan []
const char | updp10_adj_magenta []
const char | updp10_adj_yellow []
const olymp_resolution_t | cx400_res []
const olymp_resolution_list_t | cx400_res_list
const olymp_pagesize_t | cx400_page []
const olymp_pagesize_list_t | cx400_page_list
const olymp_printsize_t | cx400_printsize []
const olymp_printsize_list_t | cx400_printsize_list
const olymp_resolution_t | all_resolutions []
const olymp_resolution_list_t | all_res_list
const olympus_cap_t | olympus_model_capabilities []
const stp_parameter_t | the_parameters []
int | the_parameter_count
const float_param_t | float_parameters []
const int | float_parameter_count
const stp_printfuncs_t | print_olympus_printfuncs
stp_family_t | print_olympus_module_data
stp_module_version_t | stp_module_version = {0, 0}
stp_module_t | stp_module_data

## Define Documentation

#define MAX | ( | a,
|  | b |  | ) | (((a) > (b)) ? (a) : (b))

| Definition at line 56 of file print-olympus.c.

#define MIN | ( | a,
|  | b |  | ) | (((a) < (b)) ? (a) : (b))

| Definition at line 55 of file print-olympus.c.

#define OLYMPUS_FEATURE_BLOCK_ALIGN 0x00000004

| Definition at line 51 of file print-olympus.c. Referenced by olympus_do_print().

#define OLYMPUS_FEATURE_BORDERLESS 0x00000008

| Definition at line 52 of file print-olympus.c. Referenced by olympus_imageable_area(), and olympus_parameters().

#define OLYMPUS_FEATURE_FULL_HEIGHT 0x00000002

| Definition at line 50 of file print-olympus.c. Referenced by olympus_do_print().

#define OLYMPUS_FEATURE_FULL_WIDTH 0x00000001

| Definition at line 49 of file print-olympus.c. Referenced by olympus_do_print().

#define OLYMPUS_FEATURE_NONE 0x00000000

| Definition at line 48 of file print-olympus.c.

#define OLYMPUS_FEATURE_WHITE_BORDER 0x00000010

| Definition at line 53 of file print-olympus.c. Referenced by olympus_do_print().

#define OLYMPUS_INTERLACE_LINE 1

| Definition at line 45 of file print-olympus.c. Referenced by olympus_do_print().

#define OLYMPUS_INTERLACE_NONE 0

| Definition at line 44 of file print-olympus.c.

#define OLYMPUS_INTERLACE_PLANE 2

| Definition at line 46 of file print-olympus.c. Referenced by olympus_do_print().

#define stp_module_data print_olympus_LTX_stp_module_data

| Definition at line 2084 of file print-olympus.c.

#define stp_module_version print_olympus_LTX_stp_module_version

| Definition at line 2083 of file print-olympus.c.

## Function Documentation

void cpx00_plane_init_func | ( | stp_vars_t * | v | ) | `[static]`

| Definition at line 711 of file print-olympus.c. References olympus_privdata_t::plane, privdata, stp_put16_be(), stp_put16_le(), stp_put32_le(), stp_vars_t, stp_zfwrite(), olympus_privdata_t::xsize, olympus_privdata_t::ysize, and zero.

void cpx00_printer_init_func | ( | stp_vars_t * | v | ) | `[static]`

| Definition at line 697 of file print-olympus.c. References olympus_privdata_t::pagesize, privdata, stp_put16_be(), stp_putc(), stp_vars_t, stp_zfwrite(), and zero.

void cx400_printer_init_func | ( | stp_vars_t * | v | ) | `[static]`

| Definition at line 948 of file print-olympus.c. References olympus_privdata_t::pagesize, privdata, STP_DBG_OLYMPUS, stp_deprintf(), stp_get_driver(), stp_put16_le(), stp_putc(), stp_vars_t, stp_zfwrite(), olympus_privdata_t::xsize, and olympus_privdata_t::ysize.

const char* olympus_describe_output | ( | const stp_vars_t * | v | ) | `[static]`

| Definition at line 1545 of file print-olympus.c. References stp_vars_t.

void olympus_describe_resolution | ( | const stp_vars_t * | v,
|  | int * | x,
|  | int * | y
| ) | `[static]`

| Definition at line 1523 of file print-olympus.c. References all_res_list, olymp_resolution_list_t::item, olymp_resolution_list_t::n_items, olymp_resolution_t::name, stp_get_string_parameter(), stp_vars_t, olymp_resolution_t::xdpi, and olymp_resolution_t::ydpi.

int olympus_do_print | ( | stp_vars_t * | v,
|  | stp_image_t * | image
| ) | `[static]`

| Definition at line 1579 of file print-olympus.c. References _, olympus_cap_t::adj_cyan, olympus_cap_t::adj_magenta, olympus_cap_t::adj_yellow, olympus_cap_t::block_end_func, olympus_cap_t::block_init_func, olympus_privdata_t::block_max_x, olympus_privdata_t::block_max_y, olympus_privdata_t::block_min_x, olympus_privdata_t::block_min_y, olympus_cap_t::block_size, ink_t::channel_order, olympus_cap_t::inks, olympus_cap_t::interlacing, ink_list_t::item, olympus_privdata_t::laminate, olympus_cap_t::laminate, MIN, ink_list_t::n_items, ink_t::name, olympus_feature(), OLYMPUS_FEATURE_BLOCK_ALIGN, OLYMPUS_FEATURE_FULL_HEIGHT, OLYMPUS_FEATURE_FULL_WIDTH, OLYMPUS_FEATURE_WHITE_BORDER, olympus_get_cached_output(), olympus_get_laminate_pattern(), olympus_get_model_capabilities(), olympus_imageable_area(), OLYMPUS_INTERLACE_LINE, OLYMPUS_INTERLACE_PLANE, olympus_printsize(), ink_t::output_channels, ink_t::output_type, olympus_privdata_t::pagesize, olympus_privdata_t::plane, olympus_cap_t::plane_end_func, olympus_cap_t::plane_init_func, olympus_cap_t::printer_end_func, olympus_cap_t::printer_init_func, privdata, stp_channel_add(), stp_channel_get_output(), stp_channel_reset(), stp_check_curve_parameter(), stp_color_get_row(), stp_color_init(), stp_curve_create_from_string(), stp_curve_destroy(), stp_curve_t, STP_DBG_OLYMPUS, stp_default_media_size(), stp_deprintf(), stp_describe_resolution(), stp_eprintf(), stp_free(), stp_get_height(), stp_get_left(), stp_get_model_id(), stp_get_page_height(), stp_get_page_width(), stp_get_string_parameter(), stp_get_top(), stp_get_width(), stp_image_conclude(), stp_image_height(), stp_image_init(), stp_image_t, stp_image_width(), stp_malloc(), STP_PARAMETER_ACTIVE, stp_set_curve_parameter(), stp_set_curve_parameter_active(), stp_set_float_parameter(), stp_set_string_parameter(), stp_vars_t, stp_verify(), stp_zalloc(), stp_zfwrite(), olympus_privdata_t::xdpi, olympus_privdata_t::xsize, olympus_privdata_t::ydpi, and olympus_privdata_t::ysize. Referenced by olympus_print().

int olympus_feature | ( | const olympus_cap_t * | caps,
|  | int | feature
| ) | `[static]`

| Definition at line 1316 of file print-olympus.c. References olympus_cap_t::features. Referenced by olympus_do_print(), olympus_imageable_area(), and olympus_parameters().

unsigned short* olympus_get_cached_output | ( | stp_vars_t * | v,
|  | stp_image_t * | image,
|  | unsigned short ** | cache,
|  | int | line,
|  | int | size
| ) | `[static]`

| Definition at line 1551 of file print-olympus.c. References stp_channel_get_output(), stp_color_get_row(), STP_DBG_OLYMPUS, stp_deprintf(), stp_image_t, stp_malloc(), and stp_vars_t. Referenced by olympus_do_print().

const laminate_t * olympus_get_laminate_pattern | ( | stp_vars_t * | v | ) | `[static]`

| Definition at line 1271 of file print-olympus.c. References laminate_list_t::item, olympus_cap_t::laminate, laminate_list_t::n_items, laminate_t::name, olympus_get_model_capabilities(), stp_get_model_id(), stp_get_string_parameter(), and stp_vars_t. Referenced by olympus_do_print().

const olympus_cap_t * olympus_get_model_capabilities | ( | int | model | ) | `[static]`

| Definition at line 1256 of file print-olympus.c. References olympus_cap_t::model, olympus_model_capabilities, STP_DBG_OLYMPUS, and stp_deprintf(). Referenced by olympus_do_print(), olympus_get_laminate_pattern(), olympus_imageable_area(), olympus_parameters(), and olympus_printsize().

void olympus_imageable_area | ( | const stp_vars_t * | v,
|  | int * | left,
|  | int * | right,
|  | int * | bottom,
|  | int * | top
| ) | `[static]`

| Definition at line 1463 of file print-olympus.c. References olymp_pagesize_t::border_pt_bottom, olymp_pagesize_t::border_pt_left, olymp_pagesize_t::border_pt_right, olymp_pagesize_t::border_pt_top, olymp_pagesize_list_t::item, olymp_pagesize_list_t::n_items, stp_papersize_t::name, olymp_pagesize_t::name, olympus_feature(), OLYMPUS_FEATURE_BORDERLESS, olympus_get_model_capabilities(), olympus_cap_t::pages, stp_default_media_size(), stp_get_boolean_parameter(), stp_get_model_id(), stp_get_papersize_by_name(), stp_get_string_parameter(), and stp_vars_t. Referenced by olympus_do_print().

void olympus_limit | ( | const stp_vars_t * | v,
|  | int * | width,
|  | int * | height,
|  | int * | min_width,
|  | int * | min_height
| ) | `[static]`

| Definition at line 1512 of file print-olympus.c. References stp_vars_t.

stp_parameter_list_t olympus_list_parameters | ( | const stp_vars_t * | v | ) | `[static]`

| Definition at line 1322 of file print-olympus.c. References float_parameter_count, float_parameters, stp_parameter_list_add_param(), stp_parameter_list_create(), stp_parameter_list_t, stp_vars_t, the_parameter_count, and the_parameters.

void olympus_parameters | ( | const stp_vars_t * | v,
|  | const char * | name,
|  | stp_parameter_t * | description
| ) | `[static]`

| Definition at line 1335 of file print-olympus.c. References _, stp_parameter_t::bounds, stp_parameter_t::deflt, float_param_t::defval, float_parameter_count, float_parameters, stp_papersize_t::height, olympus_cap_t::inks, stp_parameter_t::is_active, laminate_list_t::item, ink_list_t::item, olymp_resolution_list_t::item, olymp_pagesize_list_t::item, olympus_cap_t::laminate, float_param_t::max, float_param_t::min, laminate_list_t::n_items, ink_list_t::n_items, olymp_resolution_list_t::n_items, olymp_pagesize_list_t::n_items, laminate_t::name, ink_t::name, olymp_resolution_t::name, stp_param_string_t::name, olymp_pagesize_t::name, olympus_feature(), OLYMPUS_FEATURE_BORDERLESS, olympus_get_model_capabilities(), stp_parameter_t::p_type, olympus_cap_t::pages, olympus_cap_t::resolution, stp_fill_parameter_settings(), stp_get_model_id(), stp_get_papersize_by_name(), STP_PARAMETER_TYPE_INVALID, stp_string_list_add_string(), stp_string_list_create(), stp_string_list_param(), stp_vars_t, laminate_t::text, stp_papersize_t::text, olymp_pagesize_t::text, the_parameter_count, the_parameters, and stp_papersize_t::width.

int olympus_print | ( | const stp_vars_t * | v,
|  | stp_image_t * | image
| ) | `[static]`

| Definition at line 2033 of file print-olympus.c. References olympus_do_print(), stp_image_t, stp_prune_inactive_options(), stp_vars_create_copy(), stp_vars_destroy(), and stp_vars_t.

void olympus_printsize | ( | const stp_vars_t * | v,
|  | int * | width,
|  | int * | height
| ) | `[static]`

| Definition at line 1290 of file print-olympus.c. References olymp_printsize_t::height_px, olymp_printsize_list_t::item, olymp_printsize_list_t::n_items, olympus_get_model_capabilities(), olymp_printsize_t::pagesize_name, olympus_cap_t::printsize, olymp_printsize_t::res_name, stp_erprintf(), stp_get_model_id(), stp_get_string_parameter(), stp_vars_t, and olymp_printsize_t::width_px. Referenced by olympus_do_print().

void p10_block_init_func | ( | stp_vars_t * | v | ) | `[static]`

| Definition at line 253 of file print-olympus.c. References olympus_privdata_t::block_max_x, olympus_privdata_t::block_max_y, olympus_privdata_t::block_min_x, olympus_privdata_t::block_min_y, olympus_privdata_t::plane, privdata, stp_put16_le(), stp_vars_t, and stp_zprintf().

void p10_printer_end_func | ( | stp_vars_t * | v | ) | `[static]`

| Definition at line 248 of file print-olympus.c. References stp_vars_t, and stp_zfwrite().

void p10_printer_init_func | ( | stp_vars_t * | v | ) | `[static]`

| Definition at line 240 of file print-olympus.c. References olympus_privdata_t::laminate, privdata, laminate_t::seq, stp_vars_t, and stp_zfwrite().

void p200_plane_init_func | ( | stp_vars_t * | v | ) | `[static]`

| Definition at line 302 of file print-olympus.c. References olympus_privdata_t::plane, privdata, stp_put32_be(), stp_vars_t, stp_zprintf(), olympus_privdata_t::xsize, and olympus_privdata_t::ysize.

void p200_printer_end_func | ( | stp_vars_t * | v | ) | `[static]`

| Definition at line 308 of file print-olympus.c. References stp_vars_t, and stp_zprintf().

void p200_printer_init_func | ( | stp_vars_t * | v | ) | `[static]`

| Definition at line 297 of file print-olympus.c. References stp_vars_t, and stp_zfwrite().

void p300_block_init_func | ( | stp_vars_t * | v | ) | `[static]`

| Definition at line 380 of file print-olympus.c. References olympus_privdata_t::block_max_x, olympus_privdata_t::block_max_y, olympus_privdata_t::block_min_x, olympus_privdata_t::block_min_y, olympus_privdata_t::plane, privdata, STP_DBG_OLYMPUS, stp_deprintf(), stp_put16_be(), stp_vars_t, and stp_zprintf().

void p300_plane_end_func | ( | stp_vars_t * | v | ) | `[static]`

| Definition at line 372 of file print-olympus.c. References olympus_privdata_t::plane, privdata, STP_DBG_OLYMPUS, stp_deprintf(), stp_vars_t, and stp_zprintf().

void p300_printer_init_func | ( | stp_vars_t * | v | ) | `[static]`

| Definition at line 364 of file print-olympus.c. References privdata, stp_put16_be(), stp_vars_t, stp_zfwrite(), olympus_privdata_t::xdpi, and olympus_privdata_t::ydpi.

void p400_block_init_func | ( | stp_vars_t * | v | ) | `[static]`

| Definition at line 505 of file print-olympus.c. References olympus_privdata_t::block_max_x, olympus_privdata_t::block_max_y, olympus_privdata_t::block_min_x, olympus_privdata_t::block_min_y, olympus_privdata_t::pagesize, olympus_privdata_t::plane, privdata, stp_put16_be(), stp_vars_t, stp_zfwrite(), stp_zprintf(), olympus_privdata_t::xsize, olympus_privdata_t::ysize, and zero.

void p400_plane_end_func | ( | stp_vars_t * | v | ) | `[static]`

| Definition at line 500 of file print-olympus.c. References stp_vars_t, stp_zfwrite(), stp_zprintf(), and zero.

void p400_plane_init_func | ( | stp_vars_t * | v | ) | `[static]`

| Definition at line 495 of file print-olympus.c. References stp_vars_t, stp_zfwrite(), stp_zprintf(), and zero.

void p400_printer_init_func | ( | stp_vars_t * | v | ) | `[static]`

| Definition at line 471 of file print-olympus.c. References olympus_privdata_t::pagesize, privdata, stp_put16_be(), stp_putc(), stp_vars_t, stp_zfwrite(), stp_zprintf(), olympus_privdata_t::xsize, olympus_privdata_t::ysize, and zero.

void p440_block_end_func | ( | stp_vars_t * | v | ) | `[static]`

| Definition at line 657 of file print-olympus.c. References olympus_privdata_t::block_max_x, olympus_privdata_t::block_max_y, olympus_privdata_t::block_min_x, olympus_privdata_t::block_min_y, privdata, STP_DBG_OLYMPUS, stp_deprintf(), stp_vars_t, stp_zfwrite(), and zero.

void p440_block_init_func | ( | stp_vars_t * | v | ) | `[static]`

| Definition at line 634 of file print-olympus.c. References olympus_privdata_t::block_max_x, olympus_privdata_t::block_max_y, olympus_privdata_t::block_min_x, olympus_privdata_t::block_min_y, olympus_privdata_t::pagesize, privdata, stp_put16_be(), stp_vars_t, stp_zfwrite(), stp_zprintf(), olympus_privdata_t::xsize, olympus_privdata_t::ysize, and zero.

void p440_printer_end_func | ( | stp_vars_t * | v | ) | `[static]`

| Definition at line 629 of file print-olympus.c. References stp_vars_t, stp_zfwrite(), stp_zprintf(), and zero.

void p440_printer_init_func | ( | stp_vars_t * | v | ) | `[static]`

| Definition at line 597 of file print-olympus.c. References olympus_privdata_t::laminate, olympus_privdata_t::pagesize, privdata, laminate_t::seq, stp_put16_be(), stp_putc(), stp_vars_t, stp_zfwrite(), stp_zprintf(), olympus_privdata_t::xsize, olympus_privdata_t::ysize, and zero.

int print_olympus_module_exit | ( | void |  | ) | `[static]`

| Definition at line 2076 of file print-olympus.c. References print_olympus_module_data, stp_family::printer_list, and stp_family_unregister().

int print_olympus_module_init | ( | void |  | ) | `[static]`

| Definition at line 2069 of file print-olympus.c. References print_olympus_module_data, stp_family::printer_list, and stp_family_register().

void updp10_printer_end_func | ( | stp_vars_t * | v | ) | `[static]`

| Definition at line 839 of file print-olympus.c. References olympus_privdata_t::laminate, privdata, laminate_t::seq, stp_put16_be(), stp_vars_t, stp_zfwrite(), olympus_privdata_t::xsize, and olympus_privdata_t::ysize.

void updp10_printer_init_func | ( | stp_vars_t * | v | ) | `[static]`

| Definition at line 825 of file print-olympus.c. References privdata, stp_put16_be(), stp_put32_be(), stp_put32_le(), stp_vars_t, stp_zfwrite(), olympus_privdata_t::xsize, and olympus_privdata_t::ysize.

## Variable Documentation

const olymp_resolution_list_t all_res_list`[static]`

| Initial value:
    {
      all_resolutions, sizeof(all_resolutions) / sizeof(olymp_resolution_t)
    }
Definition at line 989 of file print-olympus.c. Referenced by olympus_describe_resolution().

const olymp_resolution_t all_resolutions[]`[static]`

| Initial value:
    {
      { "306x306", 306, 306},
      { "153x153", 153, 153},
      { "314x314", 314, 314},
      { "300x300", 300, 300},
      { "317x316", 317, 316},
      { "320x320", 320, 320},
    }
Definition at line 979 of file print-olympus.c.

const ink_list_t bgr_ink_list`[static]`

| Initial value:
    {
      bgr_inks, sizeof(bgr_inks) / sizeof(ink_t)
    }
Definition at line 199 of file print-olympus.c.

const ink_t bgr_inks[]`[static]`

| Initial value:
    {
      { "RGB", 3, "RGB", "\3\2\1" },
    }
Definition at line 194 of file print-olympus.c.

const ink_list_t cmy_ink_list`[static]`

| Initial value:
    {
      cmy_inks, sizeof(cmy_inks) / sizeof(ink_t)
    }
Definition at line 169 of file print-olympus.c.

const ink_t cmy_inks[]`[static]`

| Initial value:
    {
      { "CMY", 3, "CMY", "\1\2\3" },
    }
Definition at line 164 of file print-olympus.c.

const olymp_pagesize_t cp220_page[]`[static]`

| Initial value:
    {
      { "Postcard", "Postcard 148x100mm", -1, -1, 13, 13, 16, 18},
      { "w253h337", "CP_L 89x119mm", -1, -1, 13, 13, 15, 15},
      { "w244h155", "Card 54x86mm", -1, -1, 15, 15, 13, 13},
      { "w283h566", "Wide 200x100mm", -1, -1, 13, 13, 20, 20},
      { "Custom", NULL, -1, -1, 13, 13, 16, 18},
    }
Definition at line 760 of file print-olympus.c.

const olymp_pagesize_list_t cp220_page_list`[static]`

| Initial value:
    {
      cp220_page, sizeof(cp220_page) / sizeof(olymp_pagesize_t)
    }
Definition at line 769 of file print-olympus.c.

const olymp_printsize_t cp220_printsize[]`[static]`

| Initial value:
    {
      { "314x314", "Postcard", 1232, 1808},
      { "314x314", "w253h337", 1100, 1456},
      { "314x314", "w244h155", 1040, 672},
      { "314x314", "w283h566", 1232, 2416},
      { "314x314", "Custom", 1232, 1808},
    }
Definition at line 774 of file print-olympus.c.

const olymp_printsize_list_t cp220_printsize_list`[static]`

| Initial value:
    {
      cp220_printsize, sizeof(cp220_printsize) / sizeof(olymp_printsize_t)
    }
Definition at line 783 of file print-olympus.c.

const char cpx00_adj_cyan[]`[static]`

| Initial value:
      "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n"
      "<gimp-print>\n"
      "<curve wrap=\"nowrap\" type=\"spline\" gamma=\"0\">\n"
      "<sequence count=\"32\" lower-bound=\"0\" upper-bound=\"1\">\n"
      "0.000000 0.035294 0.070588 0.101961 0.117647 0.168627 0.180392 0.227451\n"
      "0.258824 0.286275 0.317647 0.341176 0.376471 0.411765 0.427451 0.478431\n"
      "0.505882 0.541176 0.576471 0.611765 0.654902 0.678431 0.705882 0.737255\n"
      "0.764706 0.792157 0.811765 0.839216 0.862745 0.894118 0.909804 0.925490\n"
      "</sequence>\n"
      "</curve>\n"
      "</gimp-print>\n"
Definition at line 719 of file print-olympus.c.

const char cpx00_adj_magenta[]`[static]`

| Initial value:
      "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n"
      "<gimp-print>\n"
      "<curve wrap=\"nowrap\" type=\"spline\" gamma=\"0\">\n"
      "<sequence count=\"32\" lower-bound=\"0\" upper-bound=\"1\">\n"
      "0.011765 0.019608 0.035294 0.047059 0.054902 0.101961 0.133333 0.156863\n"
      "0.192157 0.235294 0.274510 0.321569 0.360784 0.403922 0.443137 0.482353\n"
      "0.521569 0.549020 0.584314 0.619608 0.658824 0.705882 0.749020 0.792157\n"
      "0.831373 0.890196 0.933333 0.964706 0.988235 0.992157 0.992157 0.996078\n"
      "</sequence>\n"
      "</curve>\n"
      "</gimp-print>\n"
Definition at line 732 of file print-olympus.c.

const char cpx00_adj_yellow[]`[static]`

| Initial value:
      "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n"
      "<gimp-print>\n"
      "<curve wrap=\"nowrap\" type=\"spline\" gamma=\"0\">\n"
      "<sequence count=\"32\" lower-bound=\"0\" upper-bound=\"1\">\n"
      "0.003922 0.015686 0.015686 0.023529 0.027451 0.054902 0.094118 0.129412\n"
      "0.180392 0.219608 0.250980 0.286275 0.317647 0.341176 0.388235 0.427451\n"
      "0.470588 0.509804 0.552941 0.596078 0.627451 0.682353 0.768627 0.796078\n"
      "0.890196 0.921569 0.949020 0.968627 0.984314 0.992157 0.992157 1.000000\n"
      "</sequence>\n"
      "</curve>\n"
      "</gimp-print>\n"
Definition at line 745 of file print-olympus.c.

const olymp_pagesize_t cpx00_page[]`[static]`

| Initial value:
    {
      { "Postcard", "Postcard 148x100mm", -1, -1, 13, 13, 16, 18},
      { "w253h337", "CP_L 89x119mm", -1, -1, 13, 13, 15, 15},
      { "w244h155", "Card 54x86mm", -1, -1, 15, 15, 13, 13},
      { "Custom", NULL, -1, -1, 13, 13, 16, 18},
    }
Definition at line 671 of file print-olympus.c.

const olymp_pagesize_list_t cpx00_page_list`[static]`

| Initial value:
    {
      cpx00_page, sizeof(cpx00_page) / sizeof(olymp_pagesize_t)
    }
Definition at line 679 of file print-olympus.c.

const olymp_printsize_t cpx00_printsize[]`[static]`

| Initial value:
    {
      { "314x314", "Postcard", 1232, 1808},
      { "314x314", "w253h337", 1100, 1456},
      { "314x314", "w244h155", 1040, 672},
      { "314x314", "Custom", 1232, 1808},
    }
Definition at line 684 of file print-olympus.c.

const olymp_printsize_list_t cpx00_printsize_list`[static]`

| Initial value:
    {
      cpx00_printsize, sizeof(cpx00_printsize) / sizeof(olymp_printsize_t)
    }
Definition at line 692 of file print-olympus.c.

const olymp_pagesize_t cx400_page[]`[static]`

| Initial value:
    {
      { "w288h432", NULL, -1, -1, 23, 23, 28, 28},
      { "w288h387", "4x5 3/8 (Digital Camera 3:4)", -1, -1, 23, 23, 27, 26},
      { "w288h504", NULL, -1, -1, 23, 23, 23, 22},
      { "Custom", NULL, -1, -1, 0, 0, 0, 0},
    }
Definition at line 922 of file print-olympus.c.

const olymp_pagesize_list_t cx400_page_list`[static]`

| Initial value:
    {
      cx400_page, sizeof(cx400_page) / sizeof(olymp_pagesize_t)
    }
Definition at line 930 of file print-olympus.c.

const olymp_printsize_t cx400_printsize[]`[static]`

| Initial value:
    {
      { "317x316", "w288h387", 1268, 1658},
      { "317x316", "w288h432", 1268, 1842},
      { "317x316", "w288h504", 1268, 2208},
      { "317x316", "Custom", 1268, 1842},
    }
Definition at line 935 of file print-olympus.c.

const olymp_printsize_list_t cx400_printsize_list`[static]`

| Initial value:
    {
      cx400_printsize, sizeof(cx400_printsize) / sizeof(olymp_printsize_t)
    }
Definition at line 943 of file print-olympus.c.

const olymp_resolution_t cx400_res[]`[static]`

| Initial value:
    {
      { "317x316", 317, 316},
    }
Definition at line 912 of file print-olympus.c.

const olymp_resolution_list_t cx400_res_list`[static]`

| Initial value:
    {
      cx400_res, sizeof(cx400_res) / sizeof(olymp_resolution_t)
    }
Definition at line 917 of file print-olympus.c.

const int float_parameter_count`[static]`

| Initial value:
    sizeof(float_parameters) / sizeof(const float_param_t)
Definition at line 1253 of file print-olympus.c. Referenced by olympus_list_parameters(), and olympus_parameters().

const float_param_t float_parameters[]`[static]`

| Definition at line 1217 of file print-olympus.c. Referenced by olympus_list_parameters(), and olympus_parameters().

const olympus_cap_t olympus_model_capabilities[]`[static]`

| Definition at line 994 of file print-olympus.c. Referenced by olympus_get_model_capabilities().

const laminate_t p10_laminate[]`[static]`

| Initial value:
    {
      {"Coated",  N_("Coated"),  {1, "\x00"}},
      {"None",    N_("None"),    {1, "\x02"}},
    }
Definition at line 262 of file print-olympus.c.

const laminate_list_t p10_laminate_list`[static]`

| Initial value:
    {
      p10_laminate, sizeof(p10_laminate) / sizeof(laminate_t)
    }
Definition at line 268 of file print-olympus.c.

const olymp_pagesize_t p10_page[]`[static]`

| Initial value:
    {
      { "w288h432", "4 x 6", -1, -1, 0, 0, 16, 0},
      { "B7", "3.5 x 5", -1, -1, 0, 0, 4, 0},
      { "Custom", NULL, -1, -1, 28, 28, 48, 48},
    }
Definition at line 216 of file print-olympus.c.

const olymp_pagesize_list_t p10_page_list`[static]`

| Initial value:
    {
      p10_page, sizeof(p10_page) / sizeof(olymp_pagesize_t)
    }
Definition at line 223 of file print-olympus.c.

const olymp_printsize_t p10_printsize[]`[static]`

| Initial value:
    {
      { "320x320", "w288h432", 1280, 1848},
      { "320x320", "B7",  1144,  1591},
      { "320x320", "Custom", 1280, 1848},
    }
Definition at line 228 of file print-olympus.c.

const olymp_printsize_list_t p10_printsize_list`[static]`

| Initial value:
    {
      p10_printsize, sizeof(p10_printsize) / sizeof(olymp_printsize_t)
    }
Definition at line 235 of file print-olympus.c.

const char p200_adj_any[]`[static]`

| Initial value:
      "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n"
      "<gimp-print>\n"
      "<curve wrap=\"nowrap\" type=\"spline\" gamma=\"0\">\n"
      "<sequence count=\"33\" lower-bound=\"0\" upper-bound=\"1\">\n"
      "0.000000 0.039216 0.078431 0.117647 0.152941 0.192157 0.231373 0.266667\n"
      "0.301961 0.341176 0.376471 0.411765 0.447059 0.482353 0.513725 0.549020\n"
      "0.580392 0.615686 0.647059 0.678431 0.709804 0.741176 0.768627 0.796078\n"
      "0.827451 0.854902 0.878431 0.905882 0.929412 0.949020 0.972549 0.988235\n"
      "1.000000\n"
      "</sequence>\n"
      "</curve>\n"
      "</gimp-print>\n"
Definition at line 313 of file print-olympus.c.

const olymp_pagesize_t p200_page[]`[static]`

| Initial value:
    {
      { "ISOB7", "80x125mm", -1, -1, 16, 17, 33, 33},
      { "Custom", NULL, -1, -1, 16, 17, 33, 33},
    }
Definition at line 275 of file print-olympus.c.

const olymp_pagesize_list_t p200_page_list`[static]`

| Initial value:
    {
      p200_page, sizeof(p200_page) / sizeof(olymp_pagesize_t)
    }
Definition at line 281 of file print-olympus.c.

const olymp_printsize_t p200_printsize[]`[static]`

| Initial value:
    {
      { "320x320", "ISOB7", 960, 1280},
      { "320x320", "Custom", 960, 1280},
    }
Definition at line 286 of file print-olympus.c.

const olymp_printsize_list_t p200_printsize_list`[static]`

| Initial value:
    {
      p200_printsize, sizeof(p200_printsize) / sizeof(olymp_printsize_t)
    }
Definition at line 292 of file print-olympus.c.

const char p300_adj_cyan[]`[static]`

| Initial value:
      "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n"
      "<gimp-print>\n"
      "<curve wrap=\"nowrap\" type=\"spline\" gamma=\"0\">\n"
      "<sequence count=\"32\" lower-bound=\"0\" upper-bound=\"1\">\n"
      "0.078431 0.211765 0.250980 0.282353 0.309804 0.333333 0.352941 0.368627\n"
      "0.388235 0.403922 0.427451 0.443137 0.458824 0.478431 0.498039 0.513725\n"
      "0.529412 0.545098 0.556863 0.576471 0.592157 0.611765 0.627451 0.647059\n"
      "0.666667 0.682353 0.701961 0.713725 0.725490 0.729412 0.733333 0.737255\n"
      "</sequence>\n"
      "</curve>\n"
      "</gimp-print>\n"
Definition at line 394 of file print-olympus.c.

const char p300_adj_magenta[]`[static]`

| Initial value:
      "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n"
      "<gimp-print>\n"
      "<curve wrap=\"nowrap\" type=\"spline\" gamma=\"0\">\n"
      "<sequence count=\"32\" lower-bound=\"0\" upper-bound=\"1\">\n"
      "0.047059 0.211765 0.250980 0.278431 0.305882 0.333333 0.349020 0.364706\n"
      "0.380392 0.396078 0.415686 0.435294 0.450980 0.466667 0.482353 0.498039\n"
      "0.513725 0.525490 0.541176 0.556863 0.572549 0.592157 0.611765 0.631373\n"
      "0.650980 0.670588 0.694118 0.705882 0.721569 0.741176 0.745098 0.756863\n"
      "</sequence>\n"
      "</curve>\n"
      "</gimp-print>\n"
Definition at line 407 of file print-olympus.c.

const char p300_adj_yellow[]`[static]`

| Initial value:
      "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n"
      "<gimp-print>\n"
      "<curve wrap=\"nowrap\" type=\"spline\" gamma=\"0\">\n"
      "<sequence count=\"32\" lower-bound=\"0\" upper-bound=\"1\">\n"
      "0.047059 0.117647 0.203922 0.250980 0.274510 0.301961 0.321569 0.337255\n"
      "0.352941 0.364706 0.380392 0.396078 0.407843 0.423529 0.439216 0.450980\n"
      "0.466667 0.482353 0.498039 0.513725 0.533333 0.552941 0.572549 0.596078\n"
      "0.615686 0.635294 0.650980 0.666667 0.682353 0.690196 0.701961 0.713725\n"
      "</sequence>\n"
      "</curve>\n"
      "</gimp-print>\n"
Definition at line 420 of file print-olympus.c.

const olymp_pagesize_t p300_page[]`[static]`

| Initial value:
    {
      { "A6", NULL, -1, -1, 28, 28, 48, 48},
      { "Custom", NULL, -1, -1, 28, 28, 48, 48},
    }
Definition at line 340 of file print-olympus.c.

const olymp_pagesize_list_t p300_page_list`[static]`

| Initial value:
    {
      p300_page, sizeof(p300_page) / sizeof(olymp_pagesize_t)
    }
Definition at line 346 of file print-olympus.c.

const olymp_printsize_t p300_printsize[]`[static]`

| Initial value:
    {
      { "306x306", "A6", 1024, 1376},
      { "153x153", "A6",  512,  688},
      { "306x306", "Custom", 1024, 1376},
      { "153x153", "Custom", 1024, 1376},
    }
Definition at line 351 of file print-olympus.c.

const olymp_printsize_list_t p300_printsize_list`[static]`

| Initial value:
    {
      p300_printsize, sizeof(p300_printsize) / sizeof(olymp_printsize_t)
    }
Definition at line 359 of file print-olympus.c.

const olymp_resolution_t p300_res[]`[static]`

| Initial value:
    {
      { "306x306", 306, 306},
      { "153x153", 153, 153},
    }
Definition at line 329 of file print-olympus.c.

const olymp_resolution_list_t p300_res_list`[static]`

| Initial value:
    {
      p300_res, sizeof(p300_res) / sizeof(olymp_resolution_t)
    }
Definition at line 335 of file print-olympus.c.

const char p400_adj_cyan[]`[static]`

| Initial value:
      "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n"
      "<gimp-print>\n"
      "<curve wrap=\"nowrap\" type=\"spline\" gamma=\"0\">\n"
      "<sequence count=\"32\" lower-bound=\"0\" upper-bound=\"1\">\n"
      "0.003922 0.031373 0.058824 0.090196 0.125490 0.156863 0.184314 0.219608\n"
      "0.250980 0.278431 0.309804 0.341176 0.376471 0.403922 0.439216 0.470588\n"
      "0.498039 0.517647 0.533333 0.545098 0.564706 0.576471 0.596078 0.615686\n"
      "0.627451 0.647059 0.658824 0.678431 0.690196 0.705882 0.721569 0.737255\n"
      "</sequence>\n"
      "</curve>\n"
      "</gimp-print>\n"
Definition at line 528 of file print-olympus.c.

const char p400_adj_magenta[]`[static]`

| Initial value:
      "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n"
      "<gimp-print>\n"
      "<curve wrap=\"nowrap\" type=\"spline\" gamma=\"0\">\n"
      "<sequence count=\"32\" lower-bound=\"0\" upper-bound=\"1\">\n"
      "0.003922 0.031373 0.062745 0.098039 0.125490 0.156863 0.188235 0.215686\n"
      "0.250980 0.282353 0.309804 0.345098 0.376471 0.407843 0.439216 0.470588\n"
      "0.501961 0.521569 0.549020 0.572549 0.592157 0.619608 0.643137 0.662745\n"
      "0.682353 0.713725 0.737255 0.756863 0.784314 0.807843 0.827451 0.850980\n"
      "</sequence>\n"
      "</curve>\n"
      "</gimp-print>\n"
Definition at line 541 of file print-olympus.c.

const char p400_adj_yellow[]`[static]`

| Initial value:
      "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n"
      "<gimp-print>\n"
      "<curve wrap=\"nowrap\" type=\"spline\" gamma=\"0\">\n"
      "<sequence count=\"32\" lower-bound=\"0\" upper-bound=\"1\">\n"
      "0.003922 0.027451 0.054902 0.090196 0.121569 0.156863 0.184314 0.215686\n"
      "0.250980 0.282353 0.309804 0.345098 0.372549 0.400000 0.435294 0.466667\n"
      "0.498039 0.525490 0.552941 0.580392 0.607843 0.631373 0.658824 0.678431\n"
      "0.698039 0.725490 0.760784 0.784314 0.811765 0.839216 0.866667 0.890196\n"
      "</sequence>\n"
      "</curve>\n"
      "</gimp-print>\n"
Definition at line 554 of file print-olympus.c.

const olymp_pagesize_t p400_page[]`[static]`

| Initial value:
    {
      { "A4", NULL, -1, -1, 22, 22, 54, 54},
      { "c8x10", "A5 wide", -1, -1, 58, 59, 84, 85},
      { "C6", "2 Postcards (A4)", -1, -1, 9, 9, 9, 9},
      { "Custom", NULL, -1, -1, 22, 22, 54, 54},
    }
Definition at line 445 of file print-olympus.c.

const olymp_pagesize_list_t p400_page_list`[static]`

| Initial value:
    {
      p400_page, sizeof(p400_page) / sizeof(olymp_pagesize_t)
    }
Definition at line 453 of file print-olympus.c.

const olymp_printsize_t p400_printsize[]`[static]`

| Initial value:
    {
      { "314x314", "A4", 2400, 3200},
      { "314x314", "c8x10", 2000, 2400},
      { "314x314", "C6", 1328, 1920},
      { "314x314", "Custom", 2400, 3200},
    }
Definition at line 458 of file print-olympus.c.

const olymp_printsize_list_t p400_printsize_list`[static]`

| Initial value:
    {
      p400_printsize, sizeof(p400_printsize) / sizeof(olymp_printsize_t)
    }
Definition at line 466 of file print-olympus.c.

const olymp_pagesize_t p440_page[]`[static]`

| Initial value:
    {
      { "A4", NULL, -1, -1, 10, 9, 54, 54},
      { "c8x10", "A5 wide", -1, -1, 58, 59, 72, 72},
      { "C6", "2 Postcards (A4)", -1, -1, 9, 9, 9, 9},
      { "w255h581", "A6 wide", -1, -1, 25, 25, 25, 24},
      { "Custom", NULL, -1, -1, 22, 22, 54, 54},
    }
Definition at line 569 of file print-olympus.c.

const olymp_pagesize_list_t p440_page_list`[static]`

| Initial value:
    {
      p440_page, sizeof(p440_page) / sizeof(olymp_pagesize_t)
    }
Definition at line 578 of file print-olympus.c.

const olymp_printsize_t p440_printsize[]`[static]`

| Initial value:
    {
      { "314x314", "A4", 2508, 3200},
      { "314x314", "c8x10", 2000, 2508},
      { "314x314", "C6", 1328, 1920},
      { "314x314", "w255h581", 892, 2320},
      { "314x314", "Custom", 2508, 3200},
    }
Definition at line 583 of file print-olympus.c.

const olymp_printsize_list_t p440_printsize_list`[static]`

| Initial value:
    {
      p440_printsize, sizeof(p440_printsize) / sizeof(olymp_printsize_t)
    }
Definition at line 592 of file print-olympus.c.

stp_family_t print_olympus_module_data`[static]`

| Initial value:
      {
        &print_olympus_printfuncs,
        NULL
      }
Definition at line 2061 of file print-olympus.c. Referenced by print_olympus_module_exit(), and print_olympus_module_init().

const stp_printfuncs_t print_olympus_printfuncs`[static]`

| Initial value:
    {
      olympus_list_parameters,
      olympus_parameters,
      stp_default_media_size,
      olympus_imageable_area,
      olympus_limit,
      olympus_print,
      olympus_describe_resolution,
      olympus_describe_output,
      stp_verify_printer_params,
      NULL,
      NULL
    }
Definition at line 2043 of file print-olympus.c.

olympus_privdata_t privdata`[static]`

| Definition at line 135 of file print-olympus.c. Referenced by cpx00_plane_init_func(), cpx00_printer_init_func(), cx400_printer_init_func(), olympus_do_print(), p10_block_init_func(), p10_printer_init_func(), p200_plane_init_func(), p300_block_init_func(), p300_plane_end_func(), p300_printer_init_func(), p400_block_init_func(), p400_printer_init_func(), p440_block_end_func(), p440_block_init_func(), p440_printer_init_func(), updp10_printer_end_func(), and updp10_printer_init_func().

const olymp_resolution_t res_314dpi[]`[static]`

| Initial value:
    {
      { "314x314", 314, 314},
    }
Definition at line 435 of file print-olympus.c.

const olymp_resolution_list_t res_314dpi_list`[static]`

| Initial value:
    {
      res_314dpi, sizeof(res_314dpi) / sizeof(olymp_resolution_t)
    }
Definition at line 440 of file print-olympus.c.

const olymp_resolution_t res_320dpi[]`[static]`

| Initial value:
    {
      { "320x320", 320, 320},
    }
Definition at line 206 of file print-olympus.c.

const olymp_resolution_list_t res_320dpi_list`[static]`

| Initial value:
    {
      res_320dpi, sizeof(res_320dpi) / sizeof(olymp_resolution_t)
    }
Definition at line 211 of file print-olympus.c.

const ink_list_t rgb_ink_list`[static]`

| Initial value:
    {
      rgb_inks, sizeof(rgb_inks) / sizeof(ink_t)
    }
Definition at line 189 of file print-olympus.c.

const ink_t rgb_inks[]`[static]`

| Initial value:
    {
      { "RGB", 3, "RGB", "\1\2\3" },
    }
Definition at line 184 of file print-olympus.c.

stp_module_t stp_module_data

| Initial value:
      {
        "olympus",
        VERSION,
        "Olympus family driver",
        STP_MODULE_CLASS_FAMILY,
        NULL,
        print_olympus_module_init,
        print_olympus_module_exit,
        (void *) &print_olympus_module_data
      }
Definition at line 2088 of file print-olympus.c.

stp_module_version_t stp_module_version = {0, 0}

| Definition at line 2086 of file print-olympus.c.

int the_parameter_count`[static]`

| Initial value:
    sizeof(the_parameters) / sizeof(const stp_parameter_t)
Definition at line 1205 of file print-olympus.c. Referenced by olympus_list_parameters(), and olympus_parameters().

const stp_parameter_t the_parameters[]`[static]`

| Definition at line 1153 of file print-olympus.c. Referenced by olympus_list_parameters(), and olympus_parameters().

const char updp10_adj_cyan[]`[static]`

| Initial value:
      "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n"
      "<gimp-print>\n"
      "<curve wrap=\"nowrap\" type=\"spline\" gamma=\"0\">\n"
      "<sequence count=\"33\" lower-bound=\"0\" upper-bound=\"1\">\n"
      "0.113725 0.188235 0.247059 0.286275 0.317647 0.345098 0.368627 0.384314\n"
      "0.400000 0.407843 0.423529 0.439216 0.450980 0.466667 0.482353 0.498039\n"
      "0.509804 0.525490 0.545098 0.560784 0.580392 0.596078 0.619608 0.643137\n"
      "0.662745 0.686275 0.709804 0.729412 0.756863 0.780392 0.811765 0.843137\n"
      "1.000000\n"
      "</sequence>\n"
      "</curve>\n"
      "</gimp-print>\n"
Definition at line 868 of file print-olympus.c.

const char updp10_adj_magenta[]`[static]`

| Initial value:
      "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n"
      "<gimp-print>\n"
      "<curve wrap=\"nowrap\" type=\"spline\" gamma=\"0\">\n"
      "<sequence count=\"33\" lower-bound=\"0\" upper-bound=\"1\">\n"
      "0.105882 0.211765 0.286275 0.333333 0.364706 0.388235 0.403922 0.415686\n"
      "0.427451 0.439216 0.450980 0.462745 0.478431 0.494118 0.505882 0.521569\n"
      "0.537255 0.552941 0.568627 0.584314 0.600000 0.619608 0.643137 0.662745\n"
      "0.682353 0.709804 0.733333 0.760784 0.792157 0.823529 0.858824 0.890196\n"
      "1.000000\n"
      "</sequence>\n"
      "</curve>\n"
      "</gimp-print>\n"
Definition at line 882 of file print-olympus.c.

const char updp10_adj_yellow[]`[static]`

| Initial value:
      "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n"
      "<gimp-print>\n"
      "<curve wrap=\"nowrap\" type=\"spline\" gamma=\"0\">\n"
      "<sequence count=\"33\" lower-bound=\"0\" upper-bound=\"1\">\n"
      "0.101961 0.160784 0.196078 0.227451 0.243137 0.254902 0.266667 0.286275\n"
      "0.309804 0.337255 0.368627 0.396078 0.423529 0.443137 0.462745 0.478431\n"
      "0.501961 0.517647 0.537255 0.556863 0.576471 0.596078 0.619608 0.643137\n"
      "0.666667 0.690196 0.709804 0.737255 0.760784 0.780392 0.796078 0.803922\n"
      "1.000000\n"
      "</sequence>\n"
      "</curve>\n"
      "</gimp-print>\n"
Definition at line 896 of file print-olympus.c.

const laminate_t updp10_laminate[]`[static]`

| Initial value:
    {
      {"Glossy",  N_("Glossy"),  {1, "\x00"}},
      {"Texture", N_("Texture"), {1, "\x08"}},
      {"Matte",   N_("Matte"),   {1, "\x0c"}},
    }
Definition at line 856 of file print-olympus.c.

const laminate_list_t updp10_laminate_list`[static]`

| Initial value:
    {
      updp10_laminate, sizeof(updp10_laminate) / sizeof(laminate_t)
    }
Definition at line 863 of file print-olympus.c.

const olymp_pagesize_t updp10_page[]`[static]`

| Initial value:
    {
      { "w288h432", "UPC-10P23 (2:3)", -1, -1, 12, 12, 18, 18},
      { "w288h387", "UPC-10P34 (3:4)", -1, -1, 12, 12, 16, 16},
      { "w288h432", "UPC-10S01 (Sticker)", -1, -1, 12, 12, 18, 18},
      { "Custom", NULL, -1, -1, 12, 12, 0, 0},
    }
Definition at line 800 of file print-olympus.c.

const olymp_pagesize_list_t updp10_page_list`[static]`

| Initial value:
    {
      updp10_page, sizeof(updp10_page) / sizeof(olymp_pagesize_t)
    }
Definition at line 808 of file print-olympus.c.

const olymp_printsize_t updp10_printsize[]`[static]`

| Initial value:
    {
      { "300x300", "w288h432", 1200, 1800},
      { "300x300", "w288h387", 1200, 1600},
      { "300x300", "Custom", 1200, 1800},
    }
Definition at line 813 of file print-olympus.c.

const olymp_printsize_list_t updp10_printsize_list`[static]`

| Initial value:
    {
      updp10_printsize, sizeof(updp10_printsize) / sizeof(olymp_printsize_t)
    }
Definition at line 820 of file print-olympus.c.

const olymp_resolution_t updp10_res[]`[static]`

| Initial value:
    {
      { "300x300", 300, 300},
    }
Definition at line 790 of file print-olympus.c.

const olymp_resolution_list_t updp10_res_list`[static]`

| Initial value:
    {
      updp10_res, sizeof(updp10_res) / sizeof(olymp_resolution_t)
    }
Definition at line 795 of file print-olympus.c.

const ink_list_t ymc_ink_list`[static]`

| Initial value:
    {
      ymc_inks, sizeof(ymc_inks) / sizeof(ink_t)
    }
Definition at line 179 of file print-olympus.c.

const ink_t ymc_inks[]`[static]`

| Initial value:
    {
      { "CMY", 3, "CMY", "\3\2\1" },
    }
Definition at line 174 of file print-olympus.c.

const char* zero = "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"`[static]`

| Definition at line 58 of file print-olympus.c. Referenced by cpx00_plane_init_func(), cpx00_printer_init_func(), p400_block_init_func(), p400_plane_end_func(), p400_plane_init_func(), p400_printer_init_func(), p440_block_end_func(), p440_block_init_func(), p440_printer_end_func(), and p440_printer_init_func().